summaryrefslogtreecommitdiff
path: root/post-apt.d/75git-commit
diff options
context:
space:
mode:
authorJoey Hess <joey@kodama.kitenet.net>2007-11-05 18:43:39 -0500
committerJoey Hess <joey@kodama.kitenet.net>2007-11-05 18:43:39 -0500
commit6300374281888b2f738f719e057b5e74db9706f5 (patch)
treeeed3f22257c708f5dbaa3ae49c2a8478a98ed341 /post-apt.d/75git-commit
parentb42d7c03371d9f1dab89a8d7a3e5bb85e8774e14 (diff)
polish
Diffstat (limited to 'post-apt.d/75git-commit')
-rwxr-xr-xpost-apt.d/75git-commit5
1 files changed, 2 insertions, 3 deletions
diff --git a/post-apt.d/75git-commit b/post-apt.d/75git-commit
index 0a84fbd..30ef0f2 100755
--- a/post-apt.d/75git-commit
+++ b/post-apt.d/75git-commit
@@ -5,6 +5,5 @@ set -e
# that info in the commit message
message="committing changes after apt run"
-if ! git commit -m "$message"; then
- echo "etckeeper warning: git-commit failed"
-fi
+# ignore exit code since it exits nonzero if there is nothing to do
+git commit -m "$message" || true